package me.nvus.nvus_prison_setup.Listeners;

import org.bukkit.Color;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerRespawnEvent;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.LeatherArmorMeta;

public class PlayerSpawn implements Listener {

    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
        Player joinedPlayer = event.getPlayer();

        // Create Prisoner Armor
        ItemStack LeatherHelmetPrison = new ItemStack(Material.LEATHER_HELMET);
        {
            LeatherArmorMeta meta = (LeatherArmorMeta) LeatherHelmetPrison.getItemMeta();
            meta.setColor(Color.ORANGE);
            LeatherHelmetPrison.setItemMeta(meta);
        }

        ItemStack LeatherChestplatePrison = new ItemStack(Material.LEATHER_CHESTPLATE);
        {
            LeatherArmorMeta meta = (LeatherArmorMeta) LeatherChestplatePrison.getItemMeta();
            meta.setColor(Color.ORANGE);
            LeatherChestplatePrison.setItemMeta(meta);
        }

        ItemStack LeatherLeggingsPrison = new ItemStack(Material.LEATHER_LEGGINGS);
        {
            LeatherArmorMeta meta = (LeatherArmorMeta) LeatherLeggingsPrison.getItemMeta();
            meta.setColor(Color.ORANGE);
            LeatherLeggingsPrison.setItemMeta(meta);
        }

        ItemStack LeatherBootsPrison = new ItemStack(Material.LEATHER_BOOTS);
        {
            LeatherArmorMeta meta = (LeatherArmorMeta) LeatherBootsPrison.getItemMeta();
            meta.setColor(Color.ORANGE);
            LeatherBootsPrison.setItemMeta(meta);
        }

        // Equip Prisoner Armor
        joinedPlayer.getInventory().setHelmet(LeatherHelmetPrison);
        joinedPlayer.getInventory().setChestplate(LeatherChestplatePrison);
        joinedPlayer.getInventory().setLeggings(LeatherLeggingsPrison);
        joinedPlayer.getInventory().setBoots(LeatherBootsPrison);

        // Equip Prisoner Tools





        /*
        // Jank City: Update health for all online players within a radius
        for (Player onlinePlayer : Bukkit.getOnlinePlayers()) {
            if (onlinePlayer.getLocation().distance(joinedPlayer.getLocation()) <= 20) {
                // Slightly damage the nearby already connected players
                double damageAmount = 0.01;
                onlinePlayer.damage(damageAmount);

                // Heal the nearby already connected players
                updateHealth(onlinePlayer, damageAmount);
            }
        }
        */

    }

    @EventHandler
    public void onPlayerRespawn(PlayerRespawnEvent event) {
        Player respawnedPlayer = event.getPlayer();

        // Create Prisoner Armor
        ItemStack LeatherHelmetPrison = new ItemStack(Material.LEATHER_HELMET);
        {
            LeatherArmorMeta meta = (LeatherArmorMeta) LeatherHelmetPrison.getItemMeta();
            meta.setColor(Color.ORANGE);
            LeatherHelmetPrison.setItemMeta(meta);
        }

        ItemStack LeatherChestplatePrison = new ItemStack(Material.LEATHER_CHESTPLATE);
        {
            LeatherArmorMeta meta = (LeatherArmorMeta) LeatherChestplatePrison.getItemMeta();
            meta.setColor(Color.ORANGE);
            LeatherChestplatePrison.setItemMeta(meta);
        }

        ItemStack LeatherLeggingsPrison = new ItemStack(Material.LEATHER_LEGGINGS);
        {
            LeatherArmorMeta meta = (LeatherArmorMeta) LeatherLeggingsPrison.getItemMeta();
            meta.setColor(Color.ORANGE);
            LeatherLeggingsPrison.setItemMeta(meta);
        }

        ItemStack LeatherBootsPrison = new ItemStack(Material.LEATHER_BOOTS);
        {
            LeatherArmorMeta meta = (LeatherArmorMeta) LeatherBootsPrison.getItemMeta();
            meta.setColor(Color.ORANGE);
            LeatherBootsPrison.setItemMeta(meta);
        }

        // Equip Prisoner Armor
        respawnedPlayer.getInventory().setHelmet(LeatherHelmetPrison);
        respawnedPlayer.getInventory().setChestplate(LeatherChestplatePrison);
        respawnedPlayer.getInventory().setLeggings(LeatherLeggingsPrison);
        respawnedPlayer.getInventory().setBoots(LeatherBootsPrison);

        // Equip Prisoner Tools


    }




}
